<?php
/*********************************************
Desciption: Smarty Variables
File: /includes/variaveis.globais.php
Project: 7Lis.Com
Developers: Joao Vieira
Start Date: 2009/07/27
*********************************************/

/* GLOBAL VARIABLES TO BE USED IN SMARTY */

$smartyPg->assign("globalYear", Date("Y"));
$smartyPg->assign("globalUrl", "http://" . $_SERVER["HTTP_HOST"] . str_replace("index.php", "", $_SERVER["SCRIPT_NAME"]));
$globalUrlFull = "http://" . $_SERVER["HTTP_HOST"] . str_replace("index.php", "", $_SERVER["SCRIPT_NAME"]) . "?" . $_SERVER["QUERY_STRING"];
$globalUri = explode("/", $_SERVER["REQUEST_URI"]);
$smartyPg->assign("globalUri", "/" . $globalUri[1]);
$smartyPg->assign("globalUrlHost", "http://" . $_SERVER["HTTP_HOST"] . "/");
$smartyPg->assign("globalUrlFull", $globalUrlFull);
$smartyPg->assign("globalProtect", md5($pwdWord.Date("Ymd").session_id()));
if (!isset($strPagina)) $strPagina = '';
$smartyPg->assign("globalPagina", $strPagina);

/* /GLOBAL VARIABLES TO BE USED IN SMARTY */

/*
//traduz tudo
foreach ( $GLOBALS as $key=>$value ){
    if ( is_string($value) ) {
        if ( substr($key, 0, 3) == 'lng' ) {
            $smartyPg->assign($key, $value);
        }
    }
}
*/
?>